ONVIF::Device::Types::PaneConfiguration(3)

NAME
ONVIF::Device::Types::PaneConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined complexType PaneConfiguration from the namespace http://www.onvif.org/ver10/schema.

Configuration of the streaming and coding settings of a Video window.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   PaneName

•   AudioOutputToken

•   AudioSourceToken

•   AudioEncoderConfiguration

•   ReceiverToken

•   Token

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::PaneConfiguration
   PaneName =>  $some_value, # string
   AudioOutputToken => $some_value, # ReferenceToken
   AudioSourceToken => $some_value, # ReferenceToken
   AudioEncoderConfiguration =>  { # ONVIF::Device::Types::AudioEncoderConfiguration
     Encoding => $some_value, # AudioEncoding
     Bitrate =>  $some_value, # int
     SampleRate =>  $some_value, # int
     Multicast =>  { # ONVIF::Device::Types::MulticastConfiguration
       Address =>  { # ONVIF::Device::Types::IPAddress
         Type => $some_value, # IPType
         IPv4Address => $some_value, # IPv4Address
         IPv6Address => $some_value, # IPv6Address
       },
       Port =>  $some_value, # int
       TTL =>  $some_value, # int
       AutoStart =>  $some_value, # boolean
     },
     SessionTimeout =>  $some_value, # duration
   },
   ReceiverToken => $some_value, # ReferenceToken
   Token => $some_value, # ReferenceToken
 },

AUTHOR
Generated by SOAP::WSDL